> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get statements of member's account

> Get statements of member's active account



## OpenAPI

````yaml openapi/bonus-v1.json GET /v1/members/{memberId}/statements
openapi: 3.0.4
info:
  title: Accounting.Api
  version: v1
servers:
  - url: https://{host}/bonus
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - Bearer: []
paths:
  /v1/members/{memberId}/statements:
    get:
      tags:
        - Service2Service
      summary: Get statements of member's account
      description: Get statements of member's active account
      parameters:
        - name: memberId
          in: path
          description: The id of the member, max length 36
          required: true
          schema:
            maxLength: 36
            type: string
        - name: limit
          in: query
          description: Max number of statements that is going to be returned
          required: true
          schema:
            type: integer
            format: int32
        - name: cursor
          in: query
          description: (optional) Max transaction id that is going to be taken into account
          schema:
            maximum: 9223372036854776000
            minimum: 2
            type: integer
            format: int64
        - name: transactionType
          in: query
          description: >-
            (optional) Transaction type of statements that are going to be
            returned
          schema:
            type: string
        - name: transactionState
          in: query
          description: >-
            (optional) Transaction state of statements that are going to be
            returned
          schema:
            $ref: >-
              #/components/schemas/Accounting.Api.CQRS.Queries.GetMemberAccountStatements.StateFilter
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Accounting.Api.Controllers.Service2Service.MemberController.GetStatementsResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/LoopFoundation.Commons.Contracts.WebServiceError
components:
  schemas:
    Accounting.Api.CQRS.Queries.GetMemberAccountStatements.StateFilter:
      enum:
        - All
        - Waiting
        - Successful
      type: string
    Accounting.Api.Controllers.Service2Service.MemberController.GetStatementsResponse:
      required:
        - items
      type: object
      properties:
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/Accounting.Api.Controllers.Service2Service.MemberController.GetStatementsResponse.Statement
          description: Items
        nextCursor:
          type: string
          description: |-
            Should be passed as cursor in the subsequent request.
            If there is no value then there are no more items to be fetched
          nullable: true
      additionalProperties: false
    LoopFoundation.Commons.Contracts.WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
    Accounting.Api.Controllers.Service2Service.MemberController.GetStatementsResponse.Statement:
      required:
        - amount
        - createdAt
        - fromDisplayName
        - id
        - state
        - stateDisplayName
        - title
        - toDisplayName
        - type
        - typeDisplayName
      type: object
      properties:
        id:
          type: integer
          description: Statement id
          format: int64
        title:
          minLength: 1
          type: string
          description: Statement title
        amount:
          type: number
          description: Amount
          format: double
        type:
          minLength: 1
          type: string
          description: Type
        typeDisplayName:
          minLength: 1
          type: string
          description: Type Name
        state:
          $ref: '#/components/schemas/Accounting.Domain.Entities.TransactionState'
        stateDisplayName:
          minLength: 1
          type: string
          description: State Name
        createdAt:
          type: string
          description: Creation date
          format: date-time
        fromDisplayName:
          minLength: 1
          type: string
          description: From Name
        toDisplayName:
          minLength: 1
          type: string
          description: To Name
        receiptId:
          type: string
          description: Receipt id
          nullable: true
        detailsDisplayName:
          type: string
          description: Details Name
          nullable: true
        metadata:
          type: object
          additionalProperties:
            nullable: true
          description: Metadata dictionary
          nullable: true
        expirationDate:
          type: string
          description: Expiration date
          format: date-time
          nullable: true
        autoCaptureDate:
          type: string
          description: Autocapture date
          format: date-time
          nullable: true
      additionalProperties: false
    Accounting.Domain.Entities.TransactionState:
      enum:
        - Waiting
        - Successful
        - Cancelled
      type: string
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````